=== contrib/binreloc/CMakeLists.txt ===
# CMakeLists for BinReloc

# (At time, to nothing...)
