=== debian/changelog ===
listaller (0.5.4-1) unstable; urgency=low

  * Initial release (Closes: #669088)

 -- Matthias Klumpp <matthias@tenstral.net>  Wed, 18 Apr 2012 18:42:46 +0200
