=== debian/control ===
Source: listaller
Section: admin
Priority: optional
Maintainer: Matthias Klumpp <matthias@tenstral.net>
Build-Depends: cmake (>= 2.8),
               debhelper (>= 9),
               intltool,
               libarchive-dev (>= 2.8),
               libdbus-glib-1-dev,
               libgee-dev (>= 0.6),
               libglib2.0-dev (>= 2.28),
               libgpgme11-dev,
               libpackagekit-glib2-dev (>= 0.7.3),
               libpolkit-gobject-1-dev,
               librdf0-dev (>= 1.0),
               libsqlite3-dev (>= 3.6),
               libxml2-dev,
               valac (>= 0.14),
               xmlto
Standards-Version: 3.9.3
Homepage: http://listaller.tenstral.net
Vcs-Git: git://anonscm.debian.org/pkg-packagekit/listaller.git
Vcs-Browser: http://anonscm.debian.org/gitweb/?p=pkg-packagekit/listaller.git

Package: listaller
Architecture: any
Depends: packagekit (>= 0.7.3),
         ${misc:Depends},
         ${shlibs:Depends}
Description: 3rd-party application installer
 Listaller is a distro-agnostic 3rd-party application installer
 with close integration into PackageKit.
 The project uses GPG-signed installation packages, which can
 be installed for all users (as root) or only for one user
 without needing superuser-rights.
 .
 Dependencies are resolved automatically using PackageKit.
 Listaller applications can be installed and removed using any
 PackageKit frontend available, without needing extra tools,
 however some specialized UIs are available and integrated with
 existing package-management tools.
 .
 This package contains tools required for Listaller to work.

Package: liblistaller-glib0
Architecture: any
Multi-Arch: same
Pre-Depends: ${misc:Pre-Depends}
Depends: ${misc:Depends},
         ${shlibs:Depends}
Description: 3rd-party application installer (shared library)
 Listaller is a distro-agnostic 3rd-party application installer
 with close integration into PackageKit.
 The project uses GPG-signed installation packages, which can
 be installed for all users (as root) or only for one user
 without needing superuser-rights.
 .
 Dependencies are resolved automatically using PackageKit.
 Listaller applications can be installed and removed using any
 PackageKit frontend available, without needing extra tools,
 however some specialized UIs are available and integrated with
 existing package-management tools.
 .
 This package contains the Listaller shared library.

Package: liblistaller-glib-dev
Architecture: any
Section: libdevel
Depends: liblistaller-glib0 (= ${binary:Version}),
         ${misc:Depends}
Description: rd-party application installer (development files)
 Listaller is a distro-agnostic 3rd-party application installer
 with close integration into PackageKit.
 The project uses GPG-signed installation packages, which can
 be installed for all users (as root) or only for one user
 without needing superuser-rights.
 .
 Dependencies are resolved automatically using PackageKit.
 Listaller applications can be installed and removed using any
 PackageKit frontend available, without needing extra tools,
 however some specialized UIs are available and integrated with
 existing package-management tools.
 .
 This package contains development files necessary to develop
 custom Listaller frontends.

Package: listaller-devtools
Architecture: any
Depends: ${misc:Depends},
         ${shlibs:Depends}
Suggests: listaller-libuild
Description: 3rd-party application installer packaging tools
 Listaller is a distro-agnostic 3rd-party application installer
 with close integration into PackageKit.
 The project uses GPG-signed installation packages, which can
 be installed for all users (as root) or only for one user
 without needing superuser-rights.
 Listaller packages can be managed with every existing
 PackageKit frontend.
 .
 This package contains additional tools which are required
 to build IPK packages, includin helper tools to make your
 application run on more distributions.

Package: listaller-libuild
Architecture: any
Depends: ${misc:Depends},
         ${shlibs:Depends}
Description: apbuild tool
 Listaller is a distro-agnostic 3rd-party application installer
 with close integration into PackageKit.
 The project uses GPG-signed installation packages, which can
 be installed for all users (as root) or only for one user
 without needing superuser-rights.
 Listaller packages can be managed with every existing
 PackageKit frontend.
 .
 This package contains the libuild facilities.
