=== debian/rules ===
#!/usr/bin/make -f
# -*- makefile -*-
#export DH_VERBOSE=1

LI_CONFIGURE_ARGS = -DTOOLS=ON \
		    -DAPBUILD=ON


%:
	dh $@

override_dh_auto_configure:
	dh_auto_configure -- $(LI_CONFIGURE_ARGS)

override_dh_install:
	dh_install --list-missing
