=== debian/watch ===
version=3
http://launchpad.net/listaller/+download \
http://launchpad.net/listaller/.*/apper-(.*)\.tar\.bz2
