## listaller 0.5.5

=== CMakeLists.txt ===
--- 
+++ 
@@ -4,7 +4,7 @@
 cmake_minimum_required(VERSION 2.8.6 FATAL_ERROR)
 
 #UNSET THIS VARIABLE AT RELEASE TIME
-#set(VERSION_SUFFIX "-dev")
+set(VERSION_SUFFIX "-dev")
 
 set(CMAKE_BUILD_TYPE "Debug")
 
@@ -29,7 +29,7 @@
 
 set(LISTALLER_VERSION_MAJOR  "0")
 set(LISTALLER_VERSION_MINOR  "5")
-set(LISTALLER_VERSION_PATCH  "4")
+set(LISTALLER_VERSION_PATCH  "5")
 set(LISTALLER_VERSION_SUFFIX "${VERSION_SUFFIX}")
 set(LISTALLER_VERSION "${LISTALLER_VERSION_MAJOR}.${LISTALLER_VERSION_MINOR}.${LISTALLER_VERSION_PATCH}")
 
@@ -47,13 +47,12 @@
 #
 option(QT "Build Listaller's Qt4 modules" OFF)
 option(TOOLS "Build Listaller's non-gui tools" ON)
-option(APBUILD "Build the APBuild tool" OFF)
+option(LIBUILD "Build the LIBuild tools" OFF)
 option(PATCHELF "Build patchelf utility" OFF)
 option(L18N "Enable localization" ON)
 option(TESTS "Enable Listaller's Unit Tests" OFF)
-option(TEST_DEPSOLVER "Test Listaller's dependency solver" OFF)
+option(TEST_DEPMANAGER "Test Listaller's dependency solver" OFF)
 option(TEST_SECURITY "Enable Listaller signing/security tests" ON)
-
 
 if(CMAKE_INSTALL_PREFIX_INITIALIZED_TO_DEFAULT)
   set(CMAKE_INSTALL_PREFIX
@@ -94,7 +93,7 @@
 # Default paths
 #
 set(BIN_INSTALL_DIR bin CACHE PATH "Installation directory for executables")
-set(LIB_INSTALL_DIR lib CACHE PATH "Installation directory for libraries")
+set(LIB_INSTALL_DIR lib/${CMAKE_LIBRARY_ARCHITECTURE} CACHE PATH "Installation directory for libraries")
 set(INC_INSTALL_DIR include CACHE PATH "Installation directory for headers")
 set(DATA_INSTALL_DIR share/listaller CACHE PATH "Installation directory for data files")
 set(SYSCONF_INSTALL_DIR etc CACHE PATH "Installation directory for system configuration files")
