=== data/CMakeLists.txt ===

add_subdirectory(etc)
add_subdirectory(mime)
add_subdirectory(graphics)
