=== src/CMakeLists.txt ===
--- 
+++ 
@@ -54,18 +54,18 @@
 find_package(Vala REQUIRED)
 include("${VALA_USE_FILE}")
 
-find_package(GLIB2 REQUIRED)
+find_package(GLIB2 2.23 REQUIRED)
 find_package(Gettext REQUIRED)
 find_package(SQLite3 REQUIRED)
 find_package(LibArchive REQUIRED)
 find_package(LibXml2 REQUIRED)
-find_package(GPGme REQUIRED)
+find_package(GPGMe REQUIRED)
 find_package(GI REQUIRED)
 find_library(M_LIB m)
 pkg_check_modules(GEE REQUIRED gee-1.0>=0.6)
 pkg_check_modules(GIO2 REQUIRED gio-2.0>=2.26)
 pkg_check_modules(REDLAND REQUIRED redland>=0.4)
-pkg_check_modules(PACKAGEKIT REQUIRED packagekit-glib2>=0.7.2)
+pkg_check_modules(PACKAGEKIT REQUIRED packagekit-glib2>=0.7.4)
 pkg_check_modules(PACKAGEKIT_PLUGIN REQUIRED packagekit-plugin)
 #find_gir(PKGIR "PackageKitGlib-1.0" REQUIRED)
