=== tests/CMakeLists.txt ===
--- 
+++ 
@@ -5,7 +5,7 @@
 
 find_package(GLIB2 REQUIRED)
 find_package(Gettext REQUIRED)
-find_package(GPGme REQUIRED)
+find_package(GPGMe REQUIRED)
 find_package(GI REQUIRED)
 find_library(M_LIB m)
 pkg_check_modules(GEE REQUIRED gee-1.0)
@@ -76,7 +76,7 @@
 add_test(installer-test li-test-installer ${CMAKE_CURRENT_SOURCE_DIR})
 
 if(TOOLS)
-# LiBuild tests
+# Lipkgen tests
 vala_add_executable (li-test-ipkbuild ${LIUNITTEST_SOURCES} tests-ipkbuild.vala
 				BASE_DIR ${lisrc}
 				PACKAGES ${LISTALLER_BASE_VALA_DEPS} packagekit-glib2 listaller_internal
@@ -84,7 +84,7 @@
 )
 add_test(ipkbuild-test li-test-ipkbuild ${CMAKE_CURRENT_SOURCE_DIR}
 	${CMAKE_BINARY_DIR}/tools/appcompile/appcompile
-	${CMAKE_BINARY_DIR}/tools/libuild/libuild
+	${CMAKE_BINARY_DIR}/tools/lipkgen/lipkgen
 )
 endif(TOOLS)
 
@@ -99,8 +99,8 @@
 endif(TEST_DEPMANAGER)
 
 # Tests of package security (GPG signing etc.)
-vala_add_executable (li-test-security ${LIUNITTEST_SOURCES} ../tools/libuild/lbutils.vala
-							../tools/libuild/gpgsign.vala tests-security.vala
+vala_add_executable (li-test-security ${LIUNITTEST_SOURCES} ../tools/lipkgen/lpkgutils.vala
+							../tools/lipkgen/gpgsign.vala tests-security.vala
 				BASE_DIR ${lisrc}
 				PACKAGES ${LISTALLER_BASE_VALA_DEPS} packagekit-glib2 listaller_internal
 				VAPI_DIRS ${CMAKE_SOURCE_DIR}/vapi ${CMAKE_BINARY_DIR}/src
