=== data/etc/CMakeLists.txt ===
# Install standard configuration

install(FILES ${CMAKE_CURRENT_SOURCE_DIR}/default-dependencies.list
	  ${CMAKE_CURRENT_SOURCE_DIR}/dependencies.list
	DESTINATION /etc/listaller
	COMPONENT config)
