=== debian/changelog ===
listaller (0.5.5-1) unstable; urgency=low

  * New upstream release: 0.5.5
    - Rewrote groff manpages in XML
    - Rename libuild to lipkgen to avoid name collisions
    - Add lipa command-line tool again to control Listaller
       via a command-line interface.
    - ligcc: Remove NO_STATIC_X option, it is default now
    - Show a progress-bar in text terminals
    - Exclusively use /etc/os-release introduced by systemd
       to check distro info
    - Show a message that we don't support other OSes than Linux (yet)
    - ligcc: Fix linker paths
    - Install binreloc too, if libuild is enabled
    - Always prefer personal over shared apps in db queries
    - Move buildlist helper to a better, more FHS-compliant location
  * Correctly set listaller library dependency line
  * Correctly set -dev package dependencies
  * Allow DM upload
  * Dropped all patches: Applied upstream
  * Updated package descriptions

 -- Matthias Klumpp <matthias@tenstral.net>  Mon, 21 May 2012 19:41:52 +0200
