=== debian/watch ===
version=3
https://launchpad.net/listaller/+download \
 http://launchpad\.net/listaller/.+/.+/\+download/listaller-(.+)\.tar\.gz
